var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __esm = (fn, res) => function __init() {
  return fn && (res = (0, fn[__getOwnPropNames(fn)[0]])(fn = 0)), res;
};
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));

// <define:process.env>
var define_process_env_default;
var init_define_process_env = __esm({
  "<define:process.env>"() {
    define_process_env_default = { EXTENSION_PREFIX: "anagolay_js", PORT_PREFIX: '"0x5eb166059ec97e08"', EXTENSION_VERSION: "0.1.0", NODE_ENV: "production" };
  }
});

// ../common/temp/node_modules/.pnpm/toggle-selection@1.0.6/node_modules/toggle-selection/index.js
var require_toggle_selection = __commonJS({
  "../common/temp/node_modules/.pnpm/toggle-selection@1.0.6/node_modules/toggle-selection/index.js"(exports, module) {
    init_define_process_env();
    module.exports = function() {
      var selection = document.getSelection();
      if (!selection.rangeCount) {
        return function() {
        };
      }
      var active = document.activeElement;
      var ranges = [];
      for (var i = 0; i < selection.rangeCount; i++) {
        ranges.push(selection.getRangeAt(i));
      }
      switch (active.tagName.toUpperCase()) {
        case "INPUT":
        case "TEXTAREA":
          active.blur();
          break;
        default:
          active = null;
          break;
      }
      selection.removeAllRanges();
      return function() {
        selection.type === "Caret" && selection.removeAllRanges();
        if (!selection.rangeCount) {
          ranges.forEach(function(range) {
            selection.addRange(range);
          });
        }
        active && active.focus();
      };
    };
  }
});

// ../common/temp/node_modules/.pnpm/copy-to-clipboard@3.3.3/node_modules/copy-to-clipboard/index.js
var require_copy_to_clipboard = __commonJS({
  "../common/temp/node_modules/.pnpm/copy-to-clipboard@3.3.3/node_modules/copy-to-clipboard/index.js"(exports, module) {
    "use strict";
    init_define_process_env();
    var deselectCurrent = require_toggle_selection();
    var clipboardToIE11Formatting = {
      "text/plain": "Text",
      "text/html": "Url",
      "default": "Text"
    };
    var defaultMessage = "Copy to clipboard: #{key}, Enter";
    function format(message) {
      var copyKey = (/mac os x/i.test(navigator.userAgent) ? "\u2318" : "Ctrl") + "+C";
      return message.replace(/#{\s*key\s*}/g, copyKey);
    }
    function copy2(text, options) {
      var debug, message, reselectPrevious, range, selection, mark, success = false;
      if (!options) {
        options = {};
      }
      debug = options.debug || false;
      try {
        reselectPrevious = deselectCurrent();
        range = document.createRange();
        selection = document.getSelection();
        mark = document.createElement("span");
        mark.textContent = text;
        mark.ariaHidden = "true";
        mark.style.all = "unset";
        mark.style.position = "fixed";
        mark.style.top = 0;
        mark.style.clip = "rect(0, 0, 0, 0)";
        mark.style.whiteSpace = "pre";
        mark.style.webkitUserSelect = "text";
        mark.style.MozUserSelect = "text";
        mark.style.msUserSelect = "text";
        mark.style.userSelect = "text";
        mark.addEventListener("copy", function(e) {
          e.stopPropagation();
          if (options.format) {
            e.preventDefault();
            if (typeof e.clipboardData === "undefined") {
              debug && console.warn("unable to use e.clipboardData");
              debug && console.warn("trying IE specific stuff");
              window.clipboardData.clearData();
              var format2 = clipboardToIE11Formatting[options.format] || clipboardToIE11Formatting["default"];
              window.clipboardData.setData(format2, text);
            } else {
              e.clipboardData.clearData();
              e.clipboardData.setData(options.format, text);
            }
          }
          if (options.onCopy) {
            e.preventDefault();
            options.onCopy(e.clipboardData);
          }
        });
        document.body.appendChild(mark);
        range.selectNodeContents(mark);
        selection.addRange(range);
        var successful = document.execCommand("copy");
        if (!successful) {
          throw new Error("copy command was unsuccessful");
        }
        success = true;
      } catch (err) {
        debug && console.error("unable to copy using execCommand: ", err);
        debug && console.warn("trying IE specific stuff");
        try {
          window.clipboardData.setData(options.format || "text", text);
          options.onCopy && options.onCopy(window.clipboardData);
          success = true;
        } catch (err2) {
          debug && console.error("unable to copy using clipboardData: ", err2);
          debug && console.error("falling back to prompt");
          message = format("message" in options ? options.message : defaultMessage);
          window.prompt(message, text);
        }
      } finally {
        if (selection) {
          if (typeof selection.removeRange == "function") {
            selection.removeRange(range);
          } else {
            selection.removeAllRanges();
          }
        }
        if (mark) {
          document.body.removeChild(mark);
        }
        reselectPrevious();
      }
      return success;
    }
    module.exports = copy2;
  }
});

// src/extensionFiles/contentScript.ts
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/index.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/F.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/T.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/__.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/add.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curry2.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curry1.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isPlaceholder.js
init_define_process_env();
function _isPlaceholder(a) {
  return a != null && typeof a === "object" && a["@@functional/placeholder"] === true;
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curry1.js
function _curry1(fn) {
  return function f1(a) {
    if (arguments.length === 0 || _isPlaceholder(a)) {
      return f1;
    } else {
      return fn.apply(this, arguments);
    }
  };
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curry2.js
function _curry2(fn) {
  return function f2(a, b) {
    switch (arguments.length) {
      case 0:
        return f2;
      case 1:
        return _isPlaceholder(a) ? f2 : _curry1(function(_b) {
          return fn(a, _b);
        });
      default:
        return _isPlaceholder(a) && _isPlaceholder(b) ? f2 : _isPlaceholder(a) ? _curry1(function(_a) {
          return fn(_a, b);
        }) : _isPlaceholder(b) ? _curry1(function(_b) {
          return fn(a, _b);
        }) : fn(a, b);
    }
  };
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/addIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_concat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/curryN.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_arity.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curryN.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/adjust.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_curry3.js
init_define_process_env();
function _curry3(fn) {
  return function f3(a, b, c) {
    switch (arguments.length) {
      case 0:
        return f3;
      case 1:
        return _isPlaceholder(a) ? f3 : _curry2(function(_b, _c) {
          return fn(a, _b, _c);
        });
      case 2:
        return _isPlaceholder(a) && _isPlaceholder(b) ? f3 : _isPlaceholder(a) ? _curry2(function(_a, _c) {
          return fn(_a, b, _c);
        }) : _isPlaceholder(b) ? _curry2(function(_b, _c) {
          return fn(a, _b, _c);
        }) : _curry1(function(_c) {
          return fn(a, b, _c);
        });
      default:
        return _isPlaceholder(a) && _isPlaceholder(b) && _isPlaceholder(c) ? f3 : _isPlaceholder(a) && _isPlaceholder(b) ? _curry2(function(_a, _b) {
          return fn(_a, _b, c);
        }) : _isPlaceholder(a) && _isPlaceholder(c) ? _curry2(function(_a, _c) {
          return fn(_a, b, _c);
        }) : _isPlaceholder(b) && _isPlaceholder(c) ? _curry2(function(_b, _c) {
          return fn(a, _b, _c);
        }) : _isPlaceholder(a) ? _curry1(function(_a) {
          return fn(_a, b, c);
        }) : _isPlaceholder(b) ? _curry1(function(_b) {
          return fn(a, _b, c);
        }) : _isPlaceholder(c) ? _curry1(function(_c) {
          return fn(a, b, _c);
        }) : fn(a, b, c);
    }
  };
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/all.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_dispatchable.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isArray.js
init_define_process_env();
var isArray_default = Array.isArray || function _isArray(val) {
  return val != null && val.length >= 0 && Object.prototype.toString.call(val) === "[object Array]";
};

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isTransformer.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xall.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_reduced.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfBase.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/allPass.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/max.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pluck.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/map.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_map.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_reduce.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isArrayLike.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isString.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xwrap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/bind.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xmap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/keys.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_has.js
init_define_process_env();
function _has(prop, obj) {
  return Object.prototype.hasOwnProperty.call(obj, prop);
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isArguments.js
init_define_process_env();
var toString = Object.prototype.toString;
var _isArguments = /* @__PURE__ */ function() {
  return toString.call(arguments) === "[object Arguments]" ? function _isArguments2(x) {
    return toString.call(x) === "[object Arguments]";
  } : function _isArguments2(x) {
    return _has("callee", x);
  };
}();
var isArguments_default = _isArguments;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/keys.js
var hasEnumBug = !/* @__PURE__ */ {
  toString: null
}.propertyIsEnumerable("toString");
var nonEnumerableProps = ["constructor", "valueOf", "isPrototypeOf", "toString", "propertyIsEnumerable", "hasOwnProperty", "toLocaleString"];
var hasArgsEnumBug = /* @__PURE__ */ function() {
  "use strict";
  return arguments.propertyIsEnumerable("length");
}();
var contains = function contains2(list, item) {
  var idx = 0;
  while (idx < list.length) {
    if (list[idx] === item) {
      return true;
    }
    idx += 1;
  }
  return false;
};
var keys = typeof Object.keys === "function" && !hasArgsEnumBug ? /* @__PURE__ */ _curry1(function keys2(obj) {
  return Object(obj) !== obj ? [] : Object.keys(obj);
}) : /* @__PURE__ */ _curry1(function keys3(obj) {
  if (Object(obj) !== obj) {
    return [];
  }
  var prop, nIdx;
  var ks = [];
  var checkArgsLength = hasArgsEnumBug && isArguments_default(obj);
  for (prop in obj) {
    if (_has(prop, obj) && (!checkArgsLength || prop !== "length")) {
      ks[ks.length] = prop;
    }
  }
  if (hasEnumBug) {
    nIdx = nonEnumerableProps.length - 1;
    while (nIdx >= 0) {
      prop = nonEnumerableProps[nIdx];
      if (_has(prop, obj) && !contains(ks, prop)) {
        ks[ks.length] = prop;
      }
      nIdx -= 1;
    }
  }
  return ks;
});
var keys_default = keys;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/prop.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isInteger.js
init_define_process_env();
var isInteger_default = Number.isInteger || function _isInteger(n) {
  return n << 0 === n;
};

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/nth.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reduce.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/always.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/and.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/any.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xany.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/anyPass.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/ap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/aperture.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_aperture.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xaperture.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/append.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/apply.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/applySpec.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/values.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/applyTo.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/ascend.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/assoc.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/assocPath.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_assoc.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/isNil.js
init_define_process_env();
var isNil = /* @__PURE__ */ _curry1(function isNil2(x) {
  return x == null;
});
var isNil_default = isNil;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/binary.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/nAry.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/both.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isFunction.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lift.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/liftN.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/call.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/chain.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_makeFlat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xchain.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_flatCat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_forceReduced.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/clamp.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/clone.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_clone.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_cloneRegExp.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/type.js
init_define_process_env();
var type = /* @__PURE__ */ _curry1(function type2(val) {
  return val === null ? "Null" : val === void 0 ? "Undefined" : Object.prototype.toString.call(val).slice(8, -1);
});
var type_default = type;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/collectBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/comparator.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/complement.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/not.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/compose.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pipe.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_pipe.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/tail.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_checkForMethod.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/slice.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reverse.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/composeWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pipeWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/head.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/identity.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_identity.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/concat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/toString.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_toString.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_includes.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_indexOf.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/equals.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_equals.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_arrayFromIterator.js
init_define_process_env();
function _arrayFromIterator(iter) {
  var list = [];
  var next;
  while (!(next = iter.next()).done) {
    list.push(next.value);
  }
  return list;
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_includesWith.js
init_define_process_env();
function _includesWith(pred, x, list) {
  var idx = 0;
  var len = list.length;
  while (idx < len) {
    if (pred(x, list[idx])) {
      return true;
    }
    idx += 1;
  }
  return false;
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_functionName.js
init_define_process_env();
function _functionName(f) {
  var match = String(f).match(/^function (\w*)/);
  return match == null ? "" : match[1];
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_objectIs.js
init_define_process_env();
function _objectIs(a, b) {
  if (a === b) {
    return a !== 0 || 1 / a === 1 / b;
  } else {
    return a !== a && b !== b;
  }
}
var objectIs_default = typeof Object.is === "function" ? Object.is : _objectIs;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_equals.js
function _uniqContentEquals(aIterator, bIterator, stackA, stackB) {
  var a = _arrayFromIterator(aIterator);
  var b = _arrayFromIterator(bIterator);
  function eq(_a, _b) {
    return _equals(_a, _b, stackA.slice(), stackB.slice());
  }
  return !_includesWith(function(b2, aItem) {
    return !_includesWith(eq, aItem, b2);
  }, b, a);
}
function _equals(a, b, stackA, stackB) {
  if (objectIs_default(a, b)) {
    return true;
  }
  var typeA = type_default(a);
  if (typeA !== type_default(b)) {
    return false;
  }
  if (typeof a["fantasy-land/equals"] === "function" || typeof b["fantasy-land/equals"] === "function") {
    return typeof a["fantasy-land/equals"] === "function" && a["fantasy-land/equals"](b) && typeof b["fantasy-land/equals"] === "function" && b["fantasy-land/equals"](a);
  }
  if (typeof a.equals === "function" || typeof b.equals === "function") {
    return typeof a.equals === "function" && a.equals(b) && typeof b.equals === "function" && b.equals(a);
  }
  switch (typeA) {
    case "Arguments":
    case "Array":
    case "Object":
      if (typeof a.constructor === "function" && _functionName(a.constructor) === "Promise") {
        return a === b;
      }
      break;
    case "Boolean":
    case "Number":
    case "String":
      if (!(typeof a === typeof b && objectIs_default(a.valueOf(), b.valueOf()))) {
        return false;
      }
      break;
    case "Date":
      if (!objectIs_default(a.valueOf(), b.valueOf())) {
        return false;
      }
      break;
    case "Error":
      return a.name === b.name && a.message === b.message;
    case "RegExp":
      if (!(a.source === b.source && a.global === b.global && a.ignoreCase === b.ignoreCase && a.multiline === b.multiline && a.sticky === b.sticky && a.unicode === b.unicode)) {
        return false;
      }
      break;
  }
  var idx = stackA.length - 1;
  while (idx >= 0) {
    if (stackA[idx] === a) {
      return stackB[idx] === b;
    }
    idx -= 1;
  }
  switch (typeA) {
    case "Map":
      if (a.size !== b.size) {
        return false;
      }
      return _uniqContentEquals(a.entries(), b.entries(), stackA.concat([a]), stackB.concat([b]));
    case "Set":
      if (a.size !== b.size) {
        return false;
      }
      return _uniqContentEquals(a.values(), b.values(), stackA.concat([a]), stackB.concat([b]));
    case "Arguments":
    case "Array":
    case "Object":
    case "Boolean":
    case "Number":
    case "String":
    case "Date":
    case "Error":
    case "RegExp":
    case "Int8Array":
    case "Uint8Array":
    case "Uint8ClampedArray":
    case "Int16Array":
    case "Uint16Array":
    case "Int32Array":
    case "Uint32Array":
    case "Float32Array":
    case "Float64Array":
    case "ArrayBuffer":
      break;
    default:
      return false;
  }
  var keysA = keys_default(a);
  if (keysA.length !== keys_default(b).length) {
    return false;
  }
  var extendedStackA = stackA.concat([a]);
  var extendedStackB = stackB.concat([b]);
  idx = keysA.length - 1;
  while (idx >= 0) {
    var key = keysA[idx];
    if (!(_has(key, b) && _equals(b[key], a[key], extendedStackA, extendedStackB))) {
      return false;
    }
    idx -= 1;
  }
  return true;
}

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/equals.js
var equals = /* @__PURE__ */ _curry2(function equals2(a, b) {
  return _equals(a, b, [], []);
});
var equals_default = equals;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_quote.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_toISOString.js
init_define_process_env();
var pad = function pad2(n) {
  return (n < 10 ? "0" : "") + n;
};
var _toISOString = typeof Date.prototype.toISOString === "function" ? function _toISOString2(d) {
  return d.toISOString();
} : function _toISOString3(d) {
  return d.getUTCFullYear() + "-" + pad(d.getUTCMonth() + 1) + "-" + pad(d.getUTCDate()) + "T" + pad(d.getUTCHours()) + ":" + pad(d.getUTCMinutes()) + ":" + pad(d.getUTCSeconds()) + "." + (d.getUTCMilliseconds() / 1e3).toFixed(3).slice(2, 5) + "Z";
};

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reject.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_complement.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/filter.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_filter.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isObject.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfilter.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/cond.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/construct.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/constructN.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/curry.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/converge.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/count.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/countBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reduceBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xreduceBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dec.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/defaultTo.js
init_define_process_env();
var defaultTo = /* @__PURE__ */ _curry2(function defaultTo2(d, v) {
  return v == null || v !== v ? d : v;
});
var defaultTo_default = defaultTo;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/descend.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/difference.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_Set.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/differenceWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dissoc.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dissocPath.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_dissoc.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/remove.js
init_define_process_env();
var remove = /* @__PURE__ */ _curry3(function remove2(start, count, list) {
  var result = Array.prototype.slice.call(list, 0);
  result.splice(start, count);
  return result;
});
var remove_default = remove;

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/divide.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/drop.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xdrop.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dropLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_dropLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/take.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xtake.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xdropLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dropLastWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_dropLastWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xdropLastWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dropRepeats.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xdropRepeatsWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dropRepeatsWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/last.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/dropWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xdropWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/either.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/or.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/empty.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isTypedArray.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/endsWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/takeLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/eqBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/eqProps.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/evolve.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/find.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfind.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/findIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfindIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/findLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfindLast.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/findLastIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xfindLastIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/flatten.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/flip.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/forEach.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/forEachObjIndexed.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/fromPairs.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/groupBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/groupWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/gt.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/gte.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/has.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/hasPath.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/hasIn.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/identical.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/ifElse.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/inc.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/includes.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/indexBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/indexOf.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/init.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/innerJoin.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/insert.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/insertAll.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/intersection.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/uniq.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/uniqBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xuniqBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/intersperse.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/into.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_stepCat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_objectAssign.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/objOf.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/invert.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/invertObj.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/invoker.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/is.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/isEmpty.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/join.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/juxt.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/keysIn.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lastIndexOf.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/length.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isNumber.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lens.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lensIndex.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/update.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lensPath.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/path.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/paths.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lensProp.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lt.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/lte.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mapAccum.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mapAccumRight.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mapObjIndexed.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/match.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mathMod.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/maxBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mean.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/sum.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/median.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/memoizeWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeAll.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeDeepLeft.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeDeepWithKey.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeWithKey.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeDeepRight.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeDeepWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeLeft.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeRight.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/mergeWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/min.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/minBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/modify.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/modifyPath.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_modify.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/modulo.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/move.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/multiply.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/partialObject.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/negate.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/none.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/nthArg.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/o.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/of.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_of.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/omit.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/on.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/once.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/otherwise.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_assertPromise.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/over.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pair.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/partial.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_createPartialApplicator.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/partialRight.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/partition.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pathEq.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pathOr.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pathSatisfies.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pick.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pickAll.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/pickBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/prepend.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/product.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/project.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/useWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/promap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_promap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xpromap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/propEq.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/propIs.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/propOr.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/propSatisfies.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/props.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/range.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reduceRight.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reduceWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/reduced.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/repeat.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/times.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/replace.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/scan.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/sequence.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/set.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/sort.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/sortBy.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/sortWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/split.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/splitAt.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/splitEvery.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/splitWhen.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/splitWhenever.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/startsWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/subtract.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/symmetricDifference.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/symmetricDifferenceWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/takeLastWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/takeWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xtakeWhile.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/tap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xtap.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/test.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_isRegExp.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/andThen.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/toLower.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/toPairs.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/toPairsIn.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/toUpper.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/transduce.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/transpose.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/traverse.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/trim.js
init_define_process_env();
var hasProtoTrim = typeof String.prototype.trim === "function";

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/tryCatch.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unapply.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unary.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/uncurryN.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unfold.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/union.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unionWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/uniqWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/internal/_xuniqWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unless.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unnest.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/until.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/unwind.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/valuesIn.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/view.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/when.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/where.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/whereAny.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/whereEq.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/without.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/xor.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/xprod.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/zip.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/zipObj.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/zipWith.js
init_define_process_env();

// ../common/temp/node_modules/.pnpm/ramda@0.28.0/node_modules/ramda/es/thunkify.js
init_define_process_env();

// src/config.ts
init_define_process_env();
var EXTENSION_PREFIX = defaultTo_default("anagolay_js", define_process_env_default.EXTENSION_PREFIX);
var PORT_PREFIX = `${EXTENSION_PREFIX}-${defaultTo_default("", define_process_env_default.PORT_PREFIX)}`;
var PORT_CONTENT = `${PORT_PREFIX}-content`;
var PORT_EXTENSION = `${PORT_PREFIX}-extension`;
var MESSAGE_ORIGIN_PAGE = `${PORT_PREFIX}-page`;
var MESSAGE_ORIGIN_CONTENT = `${PORT_PREFIX}-content`;

// src/utils/utils.ts
init_define_process_env();

// ../common/temp/node_modules/.pnpm/@polkadot+x-global@10.1.11/node_modules/@polkadot/x-global/index.js
init_define_process_env();
function evaluateThis(fn) {
  return fn("return this");
}
var xglobal = typeof globalThis !== "undefined" ? globalThis : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : evaluateThis(Function);
function extractGlobal(name, fallback) {
  return typeof xglobal[name] === "undefined" ? fallback : xglobal[name];
}

// src/utils/utils.ts
var import_copy_to_clipboard = __toESM(require_copy_to_clipboard(), 1);

// src/components/notifications/store.ts
init_define_process_env();

// ../common/temp/node_modules/.pnpm/svelte@3.54.0/node_modules/svelte/store/index.mjs
init_define_process_env();

// ../common/temp/node_modules/.pnpm/svelte@3.54.0/node_modules/svelte/internal/index.mjs
init_define_process_env();
function noop() {
}
function run(fn) {
  return fn();
}
function run_all(fns) {
  fns.forEach(run);
}
function is_function(thing) {
  return typeof thing === "function";
}
function safe_not_equal(a, b) {
  return a != a ? b == b : a !== b || (a && typeof a === "object" || typeof a === "function");
}
function is_empty(obj) {
  return Object.keys(obj).length === 0;
}
var resolved_promise = Promise.resolve();
var globals = typeof window !== "undefined" ? window : typeof globalThis !== "undefined" ? globalThis : global;
function destroy_component(component, detaching) {
  const $$ = component.$$;
  if ($$.fragment !== null) {
    run_all($$.on_destroy);
    $$.fragment && $$.fragment.d(detaching);
    $$.on_destroy = $$.fragment = null;
    $$.ctx = [];
  }
}
var SvelteElement;
if (typeof HTMLElement === "function") {
  SvelteElement = class extends HTMLElement {
    constructor() {
      super();
      this.attachShadow({ mode: "open" });
    }
    connectedCallback() {
      const { on_mount } = this.$$;
      this.$$.on_disconnect = on_mount.map(run).filter(is_function);
      for (const key in this.$$.slotted) {
        this.appendChild(this.$$.slotted[key]);
      }
    }
    attributeChangedCallback(attr, _oldValue, newValue) {
      this[attr] = newValue;
    }
    disconnectedCallback() {
      run_all(this.$$.on_disconnect);
    }
    $destroy() {
      destroy_component(this, 1);
      this.$destroy = noop;
    }
    $on(type3, callback) {
      if (!is_function(callback)) {
        return noop;
      }
      const callbacks = this.$$.callbacks[type3] || (this.$$.callbacks[type3] = []);
      callbacks.push(callback);
      return () => {
        const index = callbacks.indexOf(callback);
        if (index !== -1)
          callbacks.splice(index, 1);
      };
    }
    $set($$props) {
      if (this.$$set && !is_empty($$props)) {
        this.$$.skip_bound = true;
        this.$$set($$props);
        this.$$.skip_bound = false;
      }
    }
  };
}

// ../common/temp/node_modules/.pnpm/svelte@3.54.0/node_modules/svelte/store/index.mjs
var subscriber_queue = [];
function writable(value, start = noop) {
  let stop;
  const subscribers = /* @__PURE__ */ new Set();
  function set(new_value) {
    if (safe_not_equal(value, new_value)) {
      value = new_value;
      if (stop) {
        const run_queue = !subscriber_queue.length;
        for (const subscriber of subscribers) {
          subscriber[1]();
          subscriber_queue.push(subscriber, value);
        }
        if (run_queue) {
          for (let i = 0; i < subscriber_queue.length; i += 2) {
            subscriber_queue[i][0](subscriber_queue[i + 1]);
          }
          subscriber_queue.length = 0;
        }
      }
    }
  }
  function update(fn) {
    set(fn(value));
  }
  function subscribe2(run2, invalidate = noop) {
    const subscriber = [run2, invalidate];
    subscribers.add(subscriber);
    if (subscribers.size === 1) {
      stop = start(set) || noop;
    }
    run2(value);
    return () => {
      subscribers.delete(subscriber);
      if (subscribers.size === 0) {
        stop();
        stop = null;
      }
    };
  }
  return { set, update, subscribe: subscribe2 };
}

// src/components/notifications/store.ts
function notificationsFn() {
  const { update, subscribe: subscribe2, set } = writable([]);
  set([]);
  return {
    subscribe: subscribe2,
    set,
    update,
    addNew: (options) => {
      const { text, autoclose, infoLevel, cssClass, closeCb, showSpinner } = options;
      const id = (Math.random() * 1e4).toFixed();
      let closeFn = () => {
        update((cs) => {
          const idx = cs.findIndex((f) => f.id === id);
          return remove_default(idx, 1, cs);
        });
      };
      if (!isNil_default(closeCb)) {
        closeFn = closeCb;
      }
      let autoClose = autoclose;
      if (isNil_default(autoClose)) {
        autoClose = { close: !showSpinner, time: 3e3 };
      }
      const a = {
        id,
        text,
        autoclose,
        infoLevel,
        closeFn,
        cssClass,
        showSpinner
      };
      if (autoClose.close) {
        setTimeout(() => {
          update((cs) => {
            const idx = cs.findIndex((f) => f.id === id);
            return remove_default(idx, 1, cs);
          });
        }, autoClose.time);
      }
      update((cS) => [...cS, a]);
      return closeFn;
    },
    add: (text, infoLevel = "", autoclose = { close: true, time: 3e3 }) => {
      const id = (Math.random() * 1e4).toFixed();
      const a = {
        id,
        text,
        autoclose,
        infoLevel,
        closeFn: () => {
          update((cs) => {
            const idx = cs.findIndex((f) => f.id === id);
            return remove_default(idx, 1, cs);
          });
        },
        cssClass: "",
        showSpinner: false
      };
      if (autoclose.close) {
        setTimeout(() => {
          update((cs) => {
            const idx = cs.findIndex((f) => f.id === id);
            return remove_default(idx, 1, cs);
          });
        }, autoclose.time);
      }
      update((cS) => [...cS, a]);
      return id;
    }
  };
}
var notificationsStore = notificationsFn();

// src/utils/utils.ts
function makeLogNamespace(ns) {
  return `[anagolay_js::${ns.replace(" ", "::")}]`;
}
var chrome2 = extractGlobal("chrome", xglobal.browser);

// src/extensionFiles/contentScript.ts
var loggerNS = makeLogNamespace("contentScript");
var port = chrome.runtime.connect({ name: PORT_CONTENT });
port.onMessage.addListener((message) => {
  console.debug(loggerNS, "IN_ContentScript port:", message.data);
  window.postMessage({ ...message, origin: MESSAGE_ORIGIN_CONTENT }, "*");
});
window.addEventListener("message", ({ data, source }) => {
  console.debug(loggerNS, "Payload is", data, source);
  if (source !== window || data.origin !== MESSAGE_ORIGIN_PAGE) {
    return;
  }
  port.postMessage(data);
});
chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  if (equals_default("injected(canWeTalkToContentScript)", message)) {
    sendResponse(true);
  } else {
    console.warn(loggerNS, `got the message I cannot understand`, message);
  }
});
